<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <RelativeLayout
        android:id="@+id/relative"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/imageView"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="8"
                android:scaleType="centerCrop" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="8"
                android:background="@drawable/drw_details_bg"
                android:visibility="visible" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@color/black" />

        </LinearLayout>

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/view"
        android:layout_margin="16dp"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/back_btn"
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:background="@drawable/drw_back_bg">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:src="@drawable/arrow_bottom_icon" />
        </RelativeLayout>

        <TextView
            android:id="@+id/title"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginEnd="42dp"
            android:fontFamily="@font/medium_font"
            android:gravity="center"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="18dp"
            android:visibility="gone" />
    </LinearLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/center_card_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/layout"
        android:layout_below="@+id/title_layout"
        android:layout_centerInParent="true"
        android:layout_gravity="center"
        android:layout_margin="20dp"
        android:background="#00000000"
        android:elevation="0dp"
        app:cardBackgroundColor="#000000"
        app:cardCornerRadius="16dp"
        app:cardElevation="0dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/thumbnail"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop" />

            <ProgressBar
                android:id="@+id/loading_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:indeterminateTint="@color/green"
                android:progressBackgroundTint="@color/green"
                android:progressTint="@color/green" />

            <LinearLayout
                android:id="@+id/playback_error_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/black_60"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="24dp"
                    android:layout_marginEnd="24dp"

                    android:fontFamily="@font/medium_font"
                    android:gravity="center"
                    android:text="@string/playback_error"
                    android:textColor="@color/white_80"
                    android:textSize="16dp" />

                <TextView
                    android:id="@+id/tryAgainBtn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:background="@drawable/drw_btn_bg"
                    android:fontFamily="@font/medium_font"
                    android:paddingStart="24dp"
                    android:paddingTop="8dp"
                    android:paddingEnd="24dp"
                    android:paddingBottom="8dp"
                    android:text="@string/try_again"
                    android:textColor="@color/black"
                    android:textSize="16dp" />
            </LinearLayout>

        </RelativeLayout>

    </androidx.cardview.widget.CardView>


    <FrameLayout
        android:id="@+id/layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="20dp"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <melody.offline.music.view.MarqueeTextView
                        android:id="@+id/name_tv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:fontFamily="@font/medium_font"
                        android:maxLines="1"
                        android:text="@string/app_name"
                        android:textColor="@color/white"
                        android:textSize="22dp" />

                    <melody.offline.music.view.MarqueeTextView
                        android:id="@+id/desc_tv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:fontFamily="@font/medium_font"
                        android:maxLines="1"
                        android:text="@string/app_name"
                        android:textColor="@color/white_60"
                        android:textSize="12dp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/likeAndDownloadLayout"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center">

                    <RelativeLayout
                        android:id="@+id/favoritesBtn"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/favoritesImg"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/not_favorited_icon" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/downloadBtn"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/downloadImg"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/download_icon" />

                        <ProgressBar
                            android:id="@+id/downloadLoading"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:indeterminateTint="@color/green"
                            android:progressBackgroundTint="@color/green"
                            android:progressTint="@color/green"
                            android:visibility="gone" />

                    </RelativeLayout>
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <ProgressBar
                            android:id="@+id/progressBar"
                            style="@style/RoundedProgressBar"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:layout_marginStart="18dp"
                            android:layout_marginEnd="10dp"
                            android:max="100"
                            android:progress="50" />

                        <com.google.android.material.slider.Slider
                            android:id="@+id/sbProgress"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            app:labelBehavior="gone"
                            app:thumbColor="@color/white"
                            app:thumbRadius="6dp"
                            app:trackColorActive="@color/white"
                            app:trackColorInactive="#00000000"
                            app:trackHeight="3dp" />

                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="12dp"
                        android:layout_marginEnd="12dp"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/progress_duration_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/medium_font"
                            android:text="00:00"
                            android:textColor="#D9FFFFFF"
                            android:textSize="12dp" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1" />

                        <TextView
                            android:id="@+id/total_duration_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/medium_font"
                            android:text="00:00"
                            android:textColor="#D9FFFFFF"
                            android:textSize="12dp"
                            android:visibility="gone" />

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:layout_marginBottom="68dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/playModeBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/modePlayImg"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/mode_cycle_play_icon" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/playSkipBackBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/play_skip_back_white_icon" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/playLayoutBtn"
                    android:layout_width="0dp"
                    android:layout_height="66dp"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/play_img"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/play_green_icon" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/playSkipForwardBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/play_skip_forward_white_icon" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/listLayoutBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/music_list_icon" />
                </LinearLayout>


            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/disable_clicks_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal" />
    </FrameLayout>

    <LinearLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentBottom="true"
        android:orientation="vertical"
        android:visibility="gone">

        <View
            android:id="@+id/bottom_blank_layout"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="68dp"
            android:layout_weight="3" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="5"
            android:background="@drawable/drw_bottom_layout_bg"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:id="@+id/bottomCloseBtn"
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:gravity="center">

                <TextView
                    android:layout_width="30dp"
                    android:layout_height="4dp"
                    android:background="@drawable/drw_bottom_close_btn_bg"
                    android:gravity="center" />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/playListRv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="16dp"
                android:overScrollMode="never"
                android:scrollbars="none" />

        </LinearLayout>

    </LinearLayout>
</RelativeLayout>
